package com.ym.mec.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hgw
 * Created by 2021-12-09
 */
@ApiModel(value = "分页查询机构信息")
public class TenantInfoPageVo implements Serializable {
    //机构基础信息
    @ApiModelProperty(value = "机构id")
    private Integer id;

    @ApiModelProperty(value = "机构名称")
    private String name;

    @ApiModelProperty(value = "企业全称称")
    private String tsignName;

    @ApiModelProperty(value = "机构联系人")
    private String contacts;

    @ApiModelProperty(value = "机构联系人电话")
    private String phone;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "机构email")
    private String email;

    @ApiModelProperty(value = "缴费状态 0未缴费  1已缴费")
    private Integer payState;

    @ApiModelProperty(value = "状态0 草稿 1启动 2停用")
    private Integer state;

    @ApiModelProperty(value = "创建人名称")
    private String logo;

    @ApiModelProperty(value = "创建人名称")
    private String createdName;

    @ApiModelProperty(value = "学员人数")
    private Integer studentCount;

    //机构产品信息
    @ApiModelProperty(value = "服务名称")
    private String serveName;

    @ApiModelProperty(value = "服务id")
    private Integer serveId;

    @ApiModelProperty(value = "学员上限")
    private Integer studentUpLimit;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "到期时间")
    private Date expireDate;

    @ApiModelProperty(value = "合同价单价-续费价格")
    private BigDecimal contractPrice;

    @ApiModelProperty(value = "开通价")
    private BigDecimal openPrice;

    @ApiModelProperty(value = "有效期(数字-结合有效期单位)")
    private Integer expiryCount;

    @ApiModelProperty(value = "有效期单位(年/月)")
    private String expiryUnit;

    @ApiModelProperty(value = "城市/区域id")
    private Integer areaId;

    @ApiModelProperty(value = "学员上限")
    private Integer userId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getPayState() {
        return payState;
    }

    public void setPayState(Integer payState) {
        this.payState = payState;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public Integer getStudentUpLimit() {
        return studentUpLimit;
    }

    public void setStudentUpLimit(Integer studentUpLimit) {
        this.studentUpLimit = studentUpLimit;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    public String getCreatedName() {
        return createdName;
    }

    public void setCreatedName(String createdName) {
        this.createdName = createdName;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getTsignName() {
        return tsignName;
    }

    public void setTsignName(String tsignName) {
        this.tsignName = tsignName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public BigDecimal getContractPrice() {
        return contractPrice;
    }

    public void setContractPrice(BigDecimal contractPrice) {
        this.contractPrice = contractPrice;
    }

    public Integer getExpiryCount() {
        return expiryCount;
    }

    public void setExpiryCount(Integer expiryCount) {
        this.expiryCount = expiryCount;
    }

    public String getExpiryUnit() {
        return expiryUnit;
    }

    public void setExpiryUnit(String expiryUnit) {
        this.expiryUnit = expiryUnit;
    }

    public Integer getAreaId() {
        return areaId;
    }

    public void setAreaId(Integer areaId) {
        this.areaId = areaId;
    }

    public Integer getServeId() {
        return serveId;
    }

    public void setServeId(Integer serveId) {
        this.serveId = serveId;
    }

    public BigDecimal getOpenPrice() {
        return openPrice;
    }

    public void setOpenPrice(BigDecimal openPrice) {
        this.openPrice = openPrice;
    }
}
